Subject: Re: Problem of PowerPc 82xx when using smc

From: Scott Wood <[email-masked]>
Date: Fri, 21 May 2010 12:28:18 -0500

On 05/20/2010 10:33 PM, hellohello wrote:
>> No, it shouldn't -- rx_bd_base is of type "cbd_t *", so the multiplication
>> already happens as part of pointer arithmetic.
> ---Yes, you are right. I made a basic mistake.
>
> But now I have another question.
> The SMC1 params can be relocated to any offset of the DPRAM on a 64 byte boundary, not as the SCC1, which must be  at 0x8000 offset of the DPRAM.
> The SMC1 params base is set at 0x87FC offset of the DPRAM.
>
> So if  I want SMC1 params start at  0x200 in DPRAM  , I should set 0x200 to the 0x87FC offset of the DPRAM.
> I have see this code in u-boot, but I can not find this code in neither cpm_uart_cpm2.c nor cpm_uart_core.c.
>
> Should I add these code to  cpm_uart_core.c?

Newer kernels support dynamically allocating this parameter RAM.  Older 
kernels use whatever u-boot chose.

Why do you want to set it to a particular address?

-Scott